Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1533277 - When provisionining a VM in AWS, sometimes cloud subnet and availability zone are not able to be chosen
Summary: When provisionining a VM in AWS, sometimes cloud subnet and availability zone...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.9.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: drew uhlmann
QA Contact: Matouš Mojžíš
URL:
Whiteboard: provision:ec2
Depends On: 1518847
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-10 23:26 UTC by Satoe Imaishi
Modified: 2018-03-06 15:22 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1518847
Environment:
Last Closed: 2018-03-06 15:22:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2018-01-10 23:31:57 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/68f3d0c9abaf092577bee21669777c0fee07259a

commit 68f3d0c9abaf092577bee21669777c0fee07259a
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Jan 10 14:03:44 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jan 10 18:27:15 2018 -0500

    Merge pull request #16688 from d-m-u/bz_1518847
    
    Changes cloud network list to follow availability zone rules
    (cherry picked from commit c11b14e956902f79be68ae457d5b98a3d574db93)
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1533277

 .../providers/cloud_manager/provision_workflow.rb  | 28 +++++++++++++++-------
 .../cloud_manager/provision_workflow_spec.rb       | 12 ++++++++++
 2 files changed, 32 insertions(+), 8 deletions(-)

Comment 3 CFME Bot 2018-01-12 23:06:47 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/235072348a3b05e8258783f9ed8cb59e7c388a5c

commit 235072348a3b05e8258783f9ed8cb59e7c388a5c
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Jan 12 12:10:45 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 12 18:00:43 2018 -0500

    Merge pull request #16811 from d-m-u/fixing_allowed_cloud_network_method
    
    Change get_targets_for_source to use correct params
    (cherry picked from commit d9b5cb535570821a3af093cd626b6889102b6e76)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1533277

 app/models/manageiq/providers/cloud_manager/provision_workflow.rb    | 5 ++---
 .../manageiq/providers/cloud_manager/provision_workflow_spec.rb      | 4 +++-
 2 files changed, 5 insertions(+), 4 deletions(-)

Comment 4 CFME Bot 2018-01-12 23:09:43 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:
https://github.com/ManageIQ/manageiq-content/commit/43483e1ecc62f71e3bf4e8b277dda4d942015c0f

commit 43483e1ecc62f71e3bf4e8b277dda4d942015c0f
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Jan 12 12:07:34 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 12 18:04:03 2018 -0500

    Merge pull request #241 from d-m-u/fixing_google_test_with_allowed_cloud_networks
    
    Add cloud_subnets to availability zone test
    (cherry picked from commit 4e16a374aa2c84660dc530d4f06c779e826ae046)
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1533277

 spec/automation/unit/method_validation/google_auto_placement_spec.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Matouš Mojžíš 2018-01-30 12:50:26 UTC
It's still broken for some situations like:
1) Select AZ + VPC.
2) Set AZ to None.
3) AZ is still ssame.
4) I can select any VPC.
5) I select different VPC.
6) AZ is No Choices Available and VPC is None.

Comment 7 drew uhlmann 2018-01-30 13:14:46 UTC
Hi Matouš! Per 3, the reason the AZ is still the same is because at that point in the selection VPC and Cloud Subnet have been chosen, and so the AZ that is selected is the one that works with the chosen VPC and CS. I don't believe that's a bug.

Comment 8 drew uhlmann 2018-01-30 15:55:17 UTC
It then gets the options you see in 6 because you set the AZ to none in two, which returns all available VPCs (in step 4).

Comment 9 drew uhlmann 2018-01-30 20:18:21 UTC
Since subnet is dependent on VPC, you can select none on the VPC list first to reset the subnet menu choices and then select none on the AZ list to reset all the dropdowns on that tab.

Comment 10 Satoe Imaishi 2018-01-30 21:51:37 UTC
Moving back to ON_QA as "Won't Fix" applies to the case described in Comment 5 only.

Comment 11 Matouš Mojžíš 2018-02-15 18:58:50 UTC
Verified in 5.9.0.20. Dialog is fixed for this case.


Note You need to log in before you can comment on or make changes to this bug.